Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/13761/?format=api
{ "ob_id": 13761, "uuid": "4e39e3f0b8254b0a9dde34419a89a6f1", "title": "Eyjafjallajokull Volcanic Ash Cloud: raw backscatter profiles from the MST Radar Facility's Vaisala LD40 laser ceilometer, Capel Dewi, Wales", "abstract": "Plots of raw backscatter profiles from the MST Radar Facility's Vaisala LD40 laser ceilometer, Capel Dewi, Wales obtained during the Icelandic Volcano, Eyjafjallajokull, erupting from on 14th April 2010.\r\n\r\nThe volcanic ash cloud produced covered much of Northern Europe for several weeks causing extensive disruption to air travel. The UK and European atmospheric communities had many instruments - both airborne and ground-based, remote sensing and in-situ - taking measurements of the ash cloud throughout this period.", "keywords": "Eyjafjallajokull, MST Radar", "publicationState": "published", "dataPublishedTime": "2014-09-19T13:24:43", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/13762/?format=api", "dataPath": "/badc/eyjafjallajokull/data/mstrf", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 499020, "numberOfFiles": 11, "fileFormat": "Images are PNG formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/513/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/515/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25388/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25393/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25404/?format=api" ], "dataLineage": "Data collected from the MST Radar Facility's. A copy of these data were made available to the British Atmospheric Data Centre (BADC) to assist the academic community during this volcanic ash event.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/13984/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/1917/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/52675/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/52677/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/52680/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/52681/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/52682/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/52683/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/54238/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/52678/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/13763/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }